Package org.springframework.transaction.support

# Interface ResourceTransactionDefinition

All Superinterfaces:
  `TransactionDefinition`

public interface ResourceTransactionDefinition extends TransactionDefinition
Extended variant of `TransactionDefinition`, indicating a resource transaction and in particular whether the transactional resource is ready for local optimizations.

Since:
  5.1
Author:
  Juergen Hoeller
See Also:
  - `ResourceTransactionManager`

## Field Summary

### Fields inherited from interface org.springframework.transaction.TransactionDefinition

`ISOLATION_DEFAULT, ISOLATION_READ_COMMITTED, ISOLATION_READ_UNCOMMITTED, ISOLATION_REPEATABLE_READ, ISOLATION_SERIALIZABLE, PROPAGATION_MANDATORY, PROPAGATION_NESTED, PROPAGATION_NEVER, PROPAGATION_NOT_SUPPORTED, PROPAGATION_REQUIRED, PROPAGATION_REQUIRES_NEW, PROPAGATION_SUPPORTS, TIMEOUT_DEFAULT`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLocalResource()`
Determine whether the transactional resource is ready for local optimizations.

### Methods inherited from interface org.springframework.transaction.TransactionDefinition

`getIsolationLevel, getName, getPropagationBehavior, getTimeout, isReadOnly`

## Method Details

### isLocalResource

boolean isLocalResource()
Determine whether the transactional resource is ready for local optimizations.

Returns:
  `true` if the resource is known to be entirely transaction-local, not affecting any operations outside the scope of the current transaction
See Also:
  - `TransactionDefinition.isReadOnly()`